Support » Plugin: WC Fields Factory » Crash after Version 2.0.0

  • Resolved samuelstocks1986

    (@samuelstocks1986)


    Hello,

    Just to let you know I get a site crash when I updated to version 2.0.0. Internal server error.

    Disabling the plugin fixes the site. ANy clues o what it might be?

    If not, can I roll back the upgrade?

Viewing 9 replies - 1 through 9 (of 9 total)
  • Yep, same here (I already reported it, but the system held my topic, for some peculiar reason). I got this error notice:

    Notice: wp_register_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.0.) in \wp-includes\functions.php on line 4146
    
    Notice: wp_enqueue_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.0.) in \wp-includes\functions.php on line 4146
    
    Fatal error: Call to undefined function WC() in \wp-content\plugins\wc-fields-factory\includes\wcff-product-fields.php on line 78

    This notice above appears if WooCommerce is not activated, so I guess some check for WC plugin activation would be needed.
    But when WC is activated I got this message:

    Notice: wp_register_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.0.) in \wp-includes\functions.php on line 4146

    Notice: wp_enqueue_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.0.) in \wp-includes\functions.php on line 4146

    Notice: yith_wcwl_products cookie cannot be set – headers already sent by \wp-includes\functions.php on line 4146 in \wp-content\plugins\woocommerce\includes\wc-core-functions.php on line 754

    Warning: Cannot modify header information – headers already sent by (output started at \wp-includes\functions.php:4146) in \wp-admin\includes\misc.php on line 1114

    No other plugins are activated, and default TwentySeventeen theme is active.

    Thanks

    Plugin Author Saravana Kumar K

    (@mycholan)

    Thanks for the heads up, Please mention your PHP, WP and WC versions.

    Hi,
    thanks for a quick reply – it’s PHP 7.0 (and PHP 5.6 too) / WP 4.9.1 / WC 3.2.5

    Это индусская ошибка на 408 строке типа “неожиданный символ [“…. Делайте бекапы!

    Plugin Author Saravana Kumar K

    (@mycholan)

    Hi download the wcff-product-fields.php.zip (from here) and replace it with your /wc-fields-factory/includes/wcff-product-fields.php

    Let me know if it is working.

    I’m afraid not … still not ok.
    Error notice (this is with WC activated , and few other plugins):

    Notice: wp_register_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.0.) in \wp-includes\functions.php on line 4146

    Notice: wp_enqueue_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.0.) in \wp-includes\functions.php on line 4146

    Notice: yith_wcwl_products cookie cannot be set – headers already sent by \wp-includes\functions.php on line 4146 in \wp-content\plugins\woocommerce\includes\wc-core-functions.php on line 754

    Warning: Cannot modify header information – headers already sent by (output started at \wp-includes\functions.php:4146) in \wp-admin\includes\misc.php on line 1114

    As you can see, also the “YITH WooCommere Wishlist” plugin also throws error, but origin is not in that plugin.
    Thanks for your fast replies again.

    Plugin Author Saravana Kumar K

    (@mycholan)

    Hi, apart from those warning message (which will be corrected in new releases, within a day) that white screen of death, that is gone or still there.

    it’s not white (completely) – it’s white with this error notice.
    So – not a famous “WP white screen of death” 😉

    Plugin Author Saravana Kumar K

    (@mycholan)

    Hi Version 2.0.1 has been released with fixes, please update.

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Crash after Version 2.0.0’ is closed to new replies.